# compatability macros
%{?!mkrel:%define mkrel(c:) %{-c:0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*)(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%{?!_with_unstable: %{error:%(echo -e "\n\n\nYou are building package for a stable release, please see \nhttp://qa.mandrakesoft.com/twiki/bin/view/Main/DistroSpecificReleaseTag\nif you think this is incorrect\n\n\n ")}%(sleep 2)}

%define name bacula
%define version 1.36.2
%define release %mkrel 1

%define MYSQL 0
%define PGSQL 0
%define GNOME 1
%define WXWINDOWS 1
%define TCPW 1

%{?_with_mysql: %{expand: %%global MYSQL 1}}
%{?_without_mysql: %{expand: %%global MYSQL 0}}
%{?_with_pgsql: %{expand: %%global PGSQL 1}}
%{?_without_pgsql: %{expand: %%global PGSQL 0}}
%{?_with_gnome: %{expand: %%global GNOME 1}}
%{?_without_gnome: %{expand: %%global GNOME 0}}
%{?_with_wx: %{expand: %%global WXWINDOWS 1}}
%{?_without_wx: %{expand: %%global WXWINDOWS 0}}
%{?_with_wrap: %{expand: %%global TCPW 1}}
%{?_without_wrap: %{expand: %%global TCPW 0}}

%if %{MYSQL} && %{PGSQL}
%{error: You must specify only one database database support.}
exit 1
%endif

%define blurb Bacula - It comes by night and sucks the vital essence from your computers.

# fixes passwords in configuration files
# removing "SubSys Directory" is needed if upgrading from 1.30a or lower
%define post_fix_config() umask 0037; if [ -s %{_sysconfdir}/%{name}/.pw.sed ]; then for i in %{_sysconfdir}/%{name}/%{1}.conf %{_sysconfdir}/%{name}/%{1}.conf.rpmnew; do if [ -s $i ]; then sed -f %{_sysconfdir}/%{name}/.pw.sed $i > $i.tmp; sed -e '/SubSys[[:space:]]*Directory/I d' $i.tmp > $i; rm -f $i.tmp; fi; done; fi;

Summary: Bacula - The Network Backup Solution
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Group:		Archiving/Backup
License:	GPL
#Source:		http://prdownloads.sourceforge.net/bacula/%{name}-%{version}.tar.bz2
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Source2:	%{name}-manpages.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://www.bacula.org/
BuildRequires: perl-base, zlib-devel
%if %{TCPW}
BuildRequires: tcp_wrappers-devel
%endif
Patch0:		bacula-1.36.1-config.diff.bz2
Patch2:		bacula-1.36.1-pidfile.diff.bz2
Patch3:		bacula-1.34-updatedb.diff.bz2

%description
%{blurb}
Bacula is a set of computer programs that permit you (or the system
administrator) to manage backup, recovery, and verification of computer
data across a network of computers of different kinds. In technical terms,
it is a network client/server based backup program. Bacula is relatively
easy to use and efficient, while offering many advanced storage management
features that make it easy to find and recover lost or damaged files.

%package common
Summary:	Common files for bacula package
Group:		Archiving/Backup
Prereq:		rpm-helper
Conflicts:	bacula-dir < %epoch:%version-%release
Conflicts:	bacula-fd < %epoch:%version-%release
Conflicts:	bacula-sd < %epoch:%version-%release
Conflicts:	bacula-console < %epoch:%version-%release
Conflicts:	bacula-console-gnome < %epoch:%version-%release

%description common
%{blurb}
Bacula is a set of computer programs that permit you (or the system
administrator) to manage backup, recovery, and verification of computer
data across a network of computers of different kinds. In technical terms,
it is a network client/server based backup program. Bacula is relatively
easy to use and efficient, while offering many advanced storage management
features that make it easy to find and recover lost or damaged files.

%package dir
Summary:	Bacula Director and Catalog services
Group:		Archiving/Backup
Prereq:		rpm-helper, perl-base, sed
Prereq:		bacula-common = %epoch:%version-%release
%if %{MYSQL}
Requires:	MySQL-client
BuildRequires:	MySQL-devel >= 3.23
%else
%if %{PGSQL}
Requires:	postgresql
BuildRequires:	postgresql-devel
%else
Requires:	sqlite-tools
BuildRequires:	sqlite-devel
%endif
%endif

%description dir
%{blurb}
Bacula Director is the program that supervises all the backup, restore, verify
and archive operations. The system administrator uses the Bacula Director to
schedule backups and to recover files.
Catalog services are comprised of the software programs responsible for
maintaining the file indexes and volume databases for all files backed up.
The Catalog services permit the System Administrator or user to quickly locate
and restore any desired file, since it maintains a record of all Volumes used,
all Jobs run, and all Files saved.
%if %{MYSQL}
This build requires MySQL to be installed separately as the catalog database.
%else
This build requires sqlite to be installed separately as the catalog database.
%endif

%package console
Summary:	Bacula Console
Group:		Archiving/Backup
Prereq:		sed
Prereq:		bacula-common = %epoch:%version-%release
BuildRequires:	termcap-devel
Requires:	usermode-consoleonly

%description console
%{blurb}
Bacula Console is the program that allows the administrator or user to
communicate with the Bacula Director.
This is the text only console interface.

%if %{GNOME}
%package console-gnome
Summary:	Bacula Gnome Console
Group:		Archiving/Backup
BuildRequires: libgnomeui2-devel
Prereq:		sed
Prereq:		bacula-common = %epoch:%version-%release
Requires:	usermode, usermode-consoleonly

%description console-gnome
%{blurb}
Bacula Console is the program that allows the administrator or user to
communicate with the Bacula Director.
This is the GNOME GUI interface.
%endif

%if %{WXWINDOWS}
%package console-wx
Summary:	Bacula wxWindows Console
Group:		Archiving/Backup
%if %{mdkversion} >= 1020
BuildRequires:	wxGTK2.5-devel
%else
BuildRequires:	wxGTK2.4-devel
%endif
Prereq:		sed
Prereq:		bacula-common = %epoch:%version-%release
Requires:	usermode, usermode-consoleonly

%description console-wx
%{blurb}
Bacula Console is the program that allows the administrator or user to
communicate with the Bacula Director.
This is the wxWindows GUI interface.
%endif

%package fd
Summary:	Bacula File services (Client)
Group:		Archiving/Backup
Prereq:		rpm-helper, sed
Prereq:		bacula-common = %epoch:%version-%release

%description fd
%{blurb}
Bacula File services (or Client program) is the software program that is
installed on the machine to be backed up. It is specific to the operating
system on which it runs and is responsible for providing the file attributes
and data when requested by the Director. The File services are also responsible
for the file system dependent part of restoring the file attributes and data
during a recovery operation.
This program runs as a daemon on the machine to be backed up, and in some of
the documentation, the File daemon is referred to as the Client (for example in
Bacula configuration file). 

%package sd
Summary:	Bacula Storage services
Group:		Archiving/Backup
Prereq:		rpm-helper, sed
Prereq:		bacula-common = %epoch:%version-%release

%description sd
%{blurb}
Bacula Storage services consist of the software programs that perform the
storage and recovery of the file attributes and data to the physical backup
media or volumes. In other words, the Storage daemon is responsible for reading
and writing your tapes (or other storage media, e.g. files).
The Storage services runs as a daemon on the machine that has the backup
device (usually a tape drive).

%prep
%setup -q
%patch0 -p1 -b .config
%patch2 -p1 -b .pidfile
%patch3 -p1 -b .updatedb
mkdir doc/manual
mv doc/html-manual/*.html doc/manual
mv doc/html-manual/*.css doc/manual
mv doc/html-manual/*.gif doc/manual

%build
%serverbuild
%configure \
	--enable-smartalloc \
%if %{MYSQL}
	--with-mysql \
%else
%if %{PGSQL}
	--with-postgresql \
%else
   	--with-sqlite \
%endif
%endif
%if %{GNOME}
	--enable-gnome \
%endif
%if %{WXWINDOWS}
	--enable-wx-console \
%endif
%if %{TCPW}
	--with-tcp-wrappers \
%endif
	--sysconfdir=%{_sysconfdir}/%{name} \
	--with-scriptdir=%{_libexecdir}/%{name} \
	--with-working-dir=%{_localstatedir}/%{name} \
	--with-subsys-dir=/var/lock/subsys \
	--with-dir-password="#FAKE#DIR#PASSWORD#" \
	--with-fd-password="#FAKE#FD#PASSWORD#" \
	--with-sd-password="#FAKE#SD#PASSWORD#"

%make

%install
rm -rf %{buildroot}
%makeinstall sysconfdir=%{buildroot}%{_sysconfdir}/%{name} scriptdir=%{buildroot}%{_libexecdir}/%{name} working_dir=%{buildroot}%{_localstatedir}/%{name}

# install the upgrade scripts
%if %{MYSQL}
install -m 755 updatedb/update_mysql_tables_?_to_? %{buildroot}%{_libexecdir}/%{name}
%else
%if %{PGSQL}
install -m 755 updatedb/update_postgresql_tables_?_to_? %{buildroot}%{_libexecdir}/%{name}
%else
install -m 755 updatedb/update_sqlite_tables_?_to_? %{buildroot}%{_libexecdir}/%{name}
%endif
%endif

# install the init scripts
mkdir -p %{buildroot}%{_initrddir}
install -m 755 platforms/mandrake/bacula-dir %{buildroot}%{_initrddir}/bacula-dir
install -m 755 platforms/mandrake/bacula-fd %{buildroot}%{_initrddir}/bacula-fd
install -m 755 platforms/mandrake/bacula-sd %{buildroot}%{_initrddir}/bacula-sd

# install the logrotate file
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp scripts/logrotate %{buildroot}%{_sysconfdir}/logrotate.d/bacula-dir

mkdir -p %{buildroot}%{_localstatedir}/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
mkdir -p %{buildroot}%{_bindir}

cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/bconsole
USER=root
PROGRAM=%{_sbindir}/bconsole
SESSION=true
EOF
cp -p scripts/gnome-console.pamd %{buildroot}%{_sysconfdir}/pam.d/bconsole
ln -s consolehelper %{buildroot}%{_bindir}/bconsole

# install the man pages
mkdir -p %{buildroot}%{_mandir}
tar jxvf %{SOURCE2} -C %{buildroot}%{_mandir}

# install the menu stuff
%if %{GNOME} || %{WXWINDOWS}
mkdir -p %{buildroot}%{_menudir}
mkdir -p %{buildroot}%{_iconsdir}
tar jxvf %{SOURCE1} -C %{buildroot}%{_iconsdir}
%endif
%if %{GNOME}
cat << EOF > %{buildroot}%{_menudir}/%{name}-console-gnome
?package(%{name}-console-gnome): command="%{_bindir}/gnome-console" icon="%{name}.png" needs="x11" title="Bacula Console (gnome)" longtitle="Bacula Director Console" section="System/Archiving/Backup"
EOF
cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/gnome-console
USER=root
PROGRAM=%{_sbindir}/gnome-console
SESSION=true
EOF
cp -p scripts/gnome-console.pamd %{buildroot}%{_sysconfdir}/pam.d/gnome-console
ln -s consolehelper %{buildroot}%{_bindir}/gnome-console
%endif
%if %{WXWINDOWS}
cat << EOF > %{buildroot}%{_menudir}/%{name}-console-wx
?package(%{name}-console-wx): command="%{_bindir}/wx-console" icon="%{name}.png" needs="x11" title="Bacula Console (wxWindows)" longtitle="Bacula Director Console" section="System/Archiving/Backup"
EOF
cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/wx-console
USER=root
PROGRAM=%{_sbindir}/wx-console
SESSION=true
EOF
cp -p scripts/gnome-console.pamd %{buildroot}%{_sysconfdir}/pam.d/wx-console
ln -s consolehelper %{buildroot}%{_bindir}/wx-console
# we need to install the program files as well
#install -m 755 src/wx-console/wx-console %{buildroot}%{_sbindir}
#cp -p src/console/bconsole.conf %{buildroot}%{_sysconfdir}/%{name}/wx-console.conf
%endif

perl -spi -e 's/"#FAKE#(\w+)#PASSWORD#"/#YOU MUST SET THE $1 PASSWORD#/' %{buildroot}%{_sysconfdir}/%{name}/*.conf
touch %{buildroot}%{_sysconfdir}/%{name}/.pw.sed

%clean
rm -rf %{buildroot}

%files common
%defattr(644, root, root, 755)
%dir %{_sysconfdir}/%{name}
%attr(755, root, root) %{_sbindir}/btraceback
%attr(755, root, root) %{_sbindir}/bsmtp
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/btraceback.gdb
%attr(700, bacula, bacula) %dir %{_localstatedir}/%{name}

%pre common
%_pre_useradd bacula %{_localstatedir}/%{name} /bin/false
#__pre_groupadd TAPE_GROUP bacula

%postun common
%_postun_userdel bacula

%files dir
%defattr(644, root, root, 755)
%doc ChangeLog CheckList ReleaseNotes kernstodo
%doc doc/*.pdf doc/manual examples
%attr(600, root, root) %config(noreplace) %{_sysconfdir}/%{name}/bacula-dir.conf
%ghost %{_sysconfdir}/%{name}/.pw.sed
%config(noreplace) %{_sysconfdir}/logrotate.d/bacula-dir
%{_mandir}/man8/bacula-dir.8*
%{_mandir}/man1/dbcheck.1*
%defattr (755, root, root)
%config(noreplace) %{_initrddir}/bacula-dir
%{_sbindir}/bacula-dir
%{_sbindir}/dbcheck
%if %{MYSQL}
%{_libexecdir}/%{name}/create_mysql_database
%{_libexecdir}/%{name}/drop_mysql_database
%{_libexecdir}/%{name}/drop_mysql_tables
%{_libexecdir}/%{name}/grant_mysql_privileges
%{_libexecdir}/%{name}/make_mysql_tables
%{_libexecdir}/%{name}/update_mysql_tables*
%else
%if %{PGSQL}
%{_libexecdir}/%{name}/create_postgresql_database
%{_libexecdir}/%{name}/drop_postgresql_database
%{_libexecdir}/%{name}/grant_postgresql_privileges
%{_libexecdir}/%{name}/make_postgresql_tables
%{_libexecdir}/%{name}/drop_postgresql_tables
%{_libexecdir}/%{name}/update_postgresql_tables*
%else
%{_libexecdir}/%{name}/create_sqlite_database
%{_libexecdir}/%{name}/drop_sqlite_database
%{_libexecdir}/%{name}/drop_sqlite_tables
%{_libexecdir}/%{name}/grant_sqlite_privileges
%{_libexecdir}/%{name}/make_sqlite_tables
%{_libexecdir}/%{name}/update_sqlite_tables*
%endif
%endif
%{_libexecdir}/%{name}/create_bacula_database
%{_libexecdir}/%{name}/drop_bacula_database
%{_libexecdir}/%{name}/drop_bacula_tables
%{_libexecdir}/%{name}/grant_bacula_privileges
%{_libexecdir}/%{name}/make_bacula_tables
%{_libexecdir}/%{name}/update_bacula_tables
%{_libexecdir}/%{name}/make_catalog_backup
%{_libexecdir}/%{name}/delete_catalog_backup
%attr(644, root, root) %{_libexecdir}/%{name}/query.sql
%if ! %{GNOME}
%exclude %{_mandir}/man1/gnome-console.1*
%endif
%if ! %{WXWINDOWS}
%exclude %{_mandir}/man1/wx-console.1*
%endif

%pre dir
/usr/bin/perl -e '
exit 0 if ( -f "%{_sysconfdir}/%{name}/.pw.sed");
mkdir("%{_sysconfdir}/%{name}");
umask(0077);
open(IN, "/dev/random") or die "$!";
open(OUT, ">%{_sysconfdir}/%{name}/.pw.sed") or die "$!";
foreach $c ("DIR","SD","FD") {
read(IN, $buf, 32);
my $res = pack("u", $buf);
$res =~ s/^.//mg;
$res =~ s/\n//g;
$res =~ tr|` -_|AA-Za-z0-9+/|;
	print OUT "s!#YOU MUST SET THE $c PASSWORD#!\"$res\"!\n";
}
close (IN);
close (OUT);
'

%post dir
umask 077
%if %{MYSQL}
# NOTE: IF THIS FAILS DUE TO MYSQL/PGSQL NEEDING A PASSWORD YOU ARE ON YOUR OWN
DB_VER=`mysql bacula -e 'select * from Version;' | tail -n 1 2>/dev/null`
%else
%if %{PGSQL}
DB_VER=`psql bacula -c 'select * from Version;' | tail -n 1 2>/dev/null`
%else
[ -s %{_localstatedir}/%{name}/bacula.db ] && \
	DB_VER=`echo "select * from Version;" | \
		sqlite %{_localstatedir}/%{name}/bacula.db | tail -n 1 2>/dev/null`
%endif
%endif
if [ -z "$DB_VER" ]; then
# grant privileges and create tables
	%{_libexecdir}/%{name}/grant_bacula_privileges > dev/null
	%{_libexecdir}/%{name}/create_bacula_database > dev/null
	%{_libexecdir}/%{name}/make_bacula_tables > dev/null
elif [ "$DB_VER" -lt "8" ]; then
	echo "Backing up bacula tables"
%if %{MYSQL}
	mysqldump -f --opt bacula | bzip2 > %{_localstatedir}/%{name}/bacula_backup.sql.bz2
	type=mysql
%else
%if %{PGSQL}
	exit -1
%else
	echo ".dump" | sqlite %{_localstatedir}/%{name}/bacula.db | bzip2 > %{_localstatedir}/%{name}/bacula_backup.sql.bz2
	type=sqlite
%endif
%endif
	echo "Upgrading bacula tables"
	if [ "$DB_VER" -lt "7" ]; then
		if [ "$DB_VER" -lt "6" ]; then
			if [ "$DB_VER" -lt "5" ]; then
				%{_libexecdir}/%{name}/update_${type}_tables_4_to_5
			fi
			%{_libexecdir}/%{name}/update_${type}_tables_5_to_6
		fi
		%{_libexecdir}/%{name}/update_${type}_tables_6_to_7
	fi
	%{_libexecdir}/%{name}/update_bacula_tables
	echo "If bacula works correctly you can remove the backup file %{_localstatedir}/%{name}/bacula_backup.sql.bz2"
fi
chown -R bacula:bacula %{_localstatedir}/%{name}
chmod -R u+rX,go-rwx %{_localstatedir}/%{name}
%post_fix_config *
%_post_service bacula-dir

%preun dir
%_preun_service bacula-dir

%files fd
%defattr(755, root, root)
%attr(600, root, root) %config(noreplace) %{_sysconfdir}/%{name}/bacula-fd.conf
%config(noreplace) %{_initrddir}/bacula-fd
%{_sbindir}/bacula-fd
%attr(644, root, root) %{_mandir}/man8/bacula-fd.8*

%post fd
%post_fix_config bacula-fd
%_post_service bacula-fd

%preun fd
%_preun_service bacula-fd

%files sd
%defattr(755, root, root)
%dir %{_sysconfdir}/%{name}
%attr(600, root, root) %config(noreplace) %{_sysconfdir}/%{name}/bacula-sd.conf
%config(noreplace) %{_initrddir}/bacula-sd
%{_sbindir}/bacula-sd
%{_sbindir}/bcopy
%{_sbindir}/bextract
%{_sbindir}/bls
%{_sbindir}/bscan
%{_sbindir}/btape
%{_libexecdir}/%{name}/mtx-changer
%defattr(644, root,root, 755)
%{_mandir}/man8/bacula-sd.8*
%{_mandir}/man1/bcopy.1*
%{_mandir}/man1/bextract.1*
%{_mandir}/man1/bls.1*
%{_mandir}/man1/bscan.1*
%{_mandir}/man1/btape.1*

%post sd
%post_fix_config bacula-sd
%_post_service bacula-sd

%preun sd
%_preun_service bacula-sd

%files console
%defattr(644, root, root, 755)
%attr(600, root, root) %config(noreplace) %{_sysconfdir}/%{name}/bconsole.conf
%attr(755, root, root) %{_sbindir}/bconsole
%config(noreplace) %{_sysconfdir}/security/console.apps/bconsole
%config(noreplace) %{_sysconfdir}/pam.d/bconsole
%verify(link) %{_bindir}/bconsole
%{_mandir}/man1/bconsole.1*

%pre console
if [ -e %{_sysconfdir}/%{name}/console.conf -a ! -e %{_sysconfdir}/%{name}/bconsole.conf ]; then
	mv %{_sysconfdir}/%{name}/console.conf %{_sysconfdir}/%{name}/bconsole.conf
fi

%post console
%post_fix_config bconsole

%if %{GNOME}
%files console-gnome
%defattr(644, root, root, 755)
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/bacula-console-gnome
%attr(600, root, root) %config(noreplace) %{_sysconfdir}/%{name}/gnome-console.conf
%attr(755, root, root) %{_sbindir}/gnome-console
%config(noreplace) %{_sysconfdir}/security/console.apps/gnome-console
%config(noreplace) %{_sysconfdir}/pam.d/gnome-console
%verify(link) %{_bindir}/gnome-console
%{_mandir}/man1/gnome-console.1*

%post console-gnome
%post_fix_config gnome-console
%update_menus
		
%postun console-gnome
%clean_menus

%endif

%if %{WXWINDOWS}
%files console-wx
%defattr(644, root, root, 755)
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/bacula-console-wx
%attr(600, root, root) %config(noreplace) %{_sysconfdir}/%{name}/wx-console.conf
%attr(755, root, root) %{_sbindir}/wx-console
%config(noreplace) %{_sysconfdir}/security/console.apps/wx-console
%config(noreplace) %{_sysconfdir}/pam.d/wx-console
%verify(link) %{_bindir}/wx-console
%{_mandir}/man1/wx-console.1*

%post console-wx
%post_fix_config wx-console
%update_menus
		
%postun console-wx
%clean_menus

%endif

%changelog
* Fri Mar 18 2005 Luca Berra <bluca@vodka.it> 1.36.2-1mdk
- 1.36.2

* Sat Jan 15 2005 Luca Berra <bluca@vodka.it> 1.36.1-1mdk 
- 1.36.1
- use distro specific release tags
- rediff p0, p1
- fix non existent macro %%elsf (Pascal Cavy)
- do not require MySQL server but MySQL-client (Pascal Cavy)
- require postgresql
- use wxGTK2.5

* Sun Jun 27 2004 Luca Berra <bluca@vodka.it> 1.34.5-1mdk 
- 1.34.5
- added manpages (stolen from debian package)

* Mon Jun 21 2004 Luca Berra <bluca@vodka.it> 1.34.4-1mdk 
- 1.34.4
- switched back to wxWindows-2.4

* Fri Jun 04 2004 Luca Berra <bluca@vodka.it> 1.34.3-0.cvs.20040604mdk 
- 1.34.2 cvs

* Tue Apr 27 2004 Luca Berra <bluca@vodka.it> 1.34.2-1mdk 
- 1.34.2 release
- dropped p4, p5

* Sat Apr 24 2004 Luca Berra <bluca@vodka.it> 1.34.1-1 
- 1.34.1 release
- bscan fix from cvs

* Sun Apr 18 2004 Luca Berra <bluca@vodka.it> 1.34.1-0.cvs.20040418mdk 
- update to 1.34.1 from cvs
- rediffed p0, p2 added p3
- readline is not used anymore, so remove p1
- termcap-devel BuildRequires for console
- console binary was renamed to bconsole
- tools can be run with usermode consolehelper
- reworked db update logic
- added wxWindows gui

* Thu Feb 26 2004 Luca Berra <bluca@vodka.it> 1.32f-2mdk 
- added patches 1 to 4 from upstream
- split bacula-common package to ease upgrades
- some cleanups
- use epochs in requires

* Thu Jan 01 2004 Luca Berra <bluca@vodka.it> 1.32f-1mdk
- 1.32f
- revert .rpmnew change (it was not working anyway)
- DIRM: include directory %%{_sysconfig}/%%{name}
- use a macro to change passwords in config files in %%post
- removed subdir creation in %%setup
- added prereq sed to dir package
- changed default user for dir and sd daemons
- changed name of pid files, so killproc finds them
- more conflicts

* Tue Nov 04 2003 Luca Berra <bluca@vodka.it> 1.32d-1mdk
- 1.32d
- use gnome2 for console
- use tcp_wrappers
- try not to create unneeded .rpmnew in configuration

* Fri Aug 12 2003 Luca Berra <bluca@vodka.it> 1.31a-1mdk
- 1.31a
- modified %%post script to upgrade database if needed and do not try to create if it already exists.
- %%post_service should be last in %%post script
- changed sql upgrade script to remove multiple Version rows introduced by %%post
- trying to create the tables multiple times in previous releases.
- smtp is required by btraceback which is required by every daemon.
- added conflicts for lower version

* Wed Aug  6 2003 Luca Berra <bluca@vodka.it> 1.30a-3mdk
- changed sqlite requires to match package in contrib
- set passwords for single components to produce an error until user changes them
- try to change passwords automatically if dir package is installed

* Sun Aug  3 2003 Luca Berra <bluca@vodka.it> 1.30a-2mdk
- many spec changes
- almost please rpmlint
- fixed readline eats last message bug in console

* Fri Aug  1 2003 Luca Berra <bluca@vodka.it> 1.30a-1mdk
- Initial spec file from spec by D. Scott Barninger <barninger at fairfieldcomputers.com>
